com.h3c.of.lib.match

## Enum IPv6ExtHdr

- java.lang.Object
- - java.lang.Enum<IPv6ExtHdr>
  - - com.h3c.of.lib.match.IPv6ExtHdr

- All Implemented Interfaces:
    OfpBitmapEnum, OfpEnum, Serializable, Comparable<IPv6ExtHdr>

      public enum IPv6ExtHdr
      extends Enum<IPv6ExtHdr>
      implements OfpBitmapEnum

  Denotes the flags indicating the presence of various IPv6 extension headers, in the pseudo field `OxmBasicFieldType.IPV6_EXTHDR`.

  Since 1.3.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTH` Authentication header present; Since 1.3.
    `DEST` One or two Destination options headers present; Since 1.3.
    `ESP` Encrypted Security Payload header present; Since 1.3.
    `FRAG` Fragmentation header present; Since 1.3.
    `HOP` Hop-by-Hop header present; Since 1.3.
    `NO_NEXT` No Next Header header present; Since 1.3.
    `ROUTER` Router header present; Since 1.3.
    `UN_REP` Unexpected repeats encountered; Since 1.3.
    `UN_SEQ` Unexpected sequencing encountered; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `encodeBitmap(Set<IPv6ExtHdr> flags, ProtocolVersion pv)` Encodes a set of IPv6 Extension Header flags as a bitmap.
    `int` | `getBit(ProtocolVersion pv)` Returns the bit value for the constant, under the given protocol version.
    `String` | `toDisplayString()` Returns a string representation of the constant, suitable for presentation in a display.
    `String` | `toString()`
    `static IPv6ExtHdr` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IPv6ExtHdr[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_NEXT

          public static final IPv6ExtHdr NO_NEXT

      No Next Header header present; Since 1.3.

    - #### ESP

          public static final IPv6ExtHdr ESP

      Encrypted Security Payload header present; Since 1.3.

    - #### AUTH

          public static final IPv6ExtHdr AUTH

      Authentication header present; Since 1.3.

    - #### DEST

          public static final IPv6ExtHdr DEST

      One or two Destination options headers present; Since 1.3.

    - #### FRAG

          public static final IPv6ExtHdr FRAG

      Fragmentation header present; Since 1.3.

    - #### ROUTER

          public static final IPv6ExtHdr ROUTER

      Router header present; Since 1.3.

    - #### HOP

          public static final IPv6ExtHdr HOP

      Hop-by-Hop header present; Since 1.3.

    - #### UN_REP

          public static final IPv6ExtHdr UN_REP

      Unexpected repeats encountered; Since 1.3.

    - #### UN_SEQ

          public static final IPv6ExtHdr UN_SEQ

      Unexpected sequencing encountered; Since 1.3.

  - ### Method Detail

    - #### values

          public static IPv6ExtHdr[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPv6ExtHdr c : IPv6ExtHdr.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPv6ExtHdr valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBit

          public int getBit(ProtocolVersion pv)

      Description copied from interface: `OfpBitmapEnum`
      Returns the bit value for the constant, under the given protocol version.
      Specified by:
        `getBit` in interface `OfpBitmapEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the bit value for the constant

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<IPv6ExtHdr>`

    - #### toDisplayString

          public String toDisplayString()

      Description copied from interface: `OfpBitmapEnum`
      Returns a string representation of the constant, suitable for presentation in a display.
      Specified by:
        `toDisplayString` in interface `OfpBitmapEnum`
      Returns:
        a display string for the constant

    - #### encodeBitmap

          public static int encodeBitmap(Set<IPv6ExtHdr> flags,
                         ProtocolVersion pv)

      Encodes a set of IPv6 Extension Header flags as a bitmap. The `flags` parameter may be null, in which case a bitmask of 0 (zero) is returned.
      Parameters:
        `flags` - the flags to encode
        `pv` - the protocol version
      Returns:
        the flags encoded as a bitmap
      Throws:
        `NullPointerException` - if protocol version is null
        `VersionMismatchException` - if version is earlier than 1.3

Copyright © 2014. All Rights Reserved.